Bug 149072 - Export PDF doesn't work with PDF/UA in GUI after Index language was set
Summary: Export PDF doesn't work with PDF/UA in GUI after Index language was set
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: high major
Assignee: Julien Nabet
URL:
Whiteboard: target:7.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2022-05-13 12:37 UTC by Timur
Modified: 2022-05-19 13:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test ODT (13.44 KB, application/vnd.oasis.opendocument.text)
2022-05-13 12:37 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2022-05-13 12:37:21 UTC
Created attachment 180096 [details]
Test ODT

Open attached ODT in LO GUI.
Try to export PDF with PDF/UA.
None for me in 7.4 master, works in 7.4 oldest (Headless export works). 

I came to this problem when testing bug 140617 and getting warning from bug 145104. After I set Index style language, PDF export doesn't work.
Comment 1 raal 2022-05-13 18:41:42 UTC
Confirm with Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: 75f7e057039aaa49558e22d18cad651d11589da9
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 2 raal 2022-05-13 18:49:40 UTC
This seems to have begun at the below commit.
Adding Cc: to Nick Wingate; Could you possibly take a look at this one?
Thanks
 ce89681e6e7be1ae51169cdc5911f5709452e632 is the first bad commit
commit ce89681e6e7be1ae51169cdc5911f5709452e632
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Apr 14 08:58:16 2022 +0200

    source sha:a1f9fea520f5b3f5d54a284886aa531693f32e7a

https://git.libreoffice.org/core/+/a1f9fea520f5b3f5d54a284886aa531693f32e7a
  Make accessibility check dialog async
Comment 3 Julien Nabet 2022-05-14 10:27:58 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed these logs:
warn:legacy.osl:29351:29351:sw/source/core/doc/fmtcol.cxx:607: <SwTextFormatColl::GetAssignedOutlineStyleLevel()> - misuse of method
warn:legacy.osl:29351:29351:sw/source/core/doc/fmtcol.cxx:607: <SwTextFormatColl::GetAssignedOutlineStyleLevel()> - misuse of method
warn:legacy.osl:29351:29351:sw/source/core/doc/fmtcol.cxx:607: <SwTextFormatColl::GetAssignedOutlineStyleLevel()> - misuse of method
warn:legacy.osl:29351:29351:sw/source/core/doc/fmtcol.cxx:607: <SwTextFormatColl::GetAssignedOutlineStyleLevel()> - misuse of method
warn:legacy.osl:29351:29351:sw/source/core/doc/fmtcol.cxx:607: <SwTextFormatColl::GetAssignedOutlineStyleLevel()> - misuse of method

here's a part of bt from one of these:
#0  SwTextFormatColl::GetAssignedOutlineStyleLevel() const (this=0x77064d0) at sw/source/core/doc/fmtcol.cxx:608
#1  0x00007f8a52aa7941 in sw::(anonymous namespace)::HeaderCheck::check(SwNode*) (this=0xa457630, pCurrent=0x7705e98) at sw/source/core/access/AccessibilityCheck.cxx:622
#2  0x00007f8a52a9a6a3 in sw::AccessibilityCheck::check() (this=0x7ffe4a14ab10) at sw/source/core/access/AccessibilityCheck.cxx:947
#3  0x00007f8a53ed2ad7 in SwDocShell::runAccessibilityCheck() (this=0x74ef0e0) at sw/source/uibase/app/docst.cxx:1559
#4  0x00007f8a16e7fdec in ImpPDFTabDialog::OkHdl(weld::Button&) (this=0xa0e9990) at filter/source/pdf/impdialog.cxx:324
#5  0x00007f8a16e7fb2d in ImpPDFTabDialog::LinkStubOkHdl(void*, weld::Button&) (instance=0xa0e9990, data=...) at filter/source/pdf/impdialog.cxx:317
#6  0x00007f8a5cf343d8 in Link<weld::Button&, void>::Call(weld::Button&) const (this=0xa1dcf20, data=...) at include/tools/link.hxx:111
#7  0x00007f8a5cf3438c in weld::Button::signal_clicked() (this=0xa1dcf18) at include/vcl/weld.hxx:1427
#8  0x00007f8a5ceabbf1 in (anonymous namespace)::GtkInstanceButton::signalClicked(_GtkButton*, void*) (widget=0xa1dcc60) at vcl/unx/gtk3/gtkinst.cxx:9478
...
#45 0x00007f8a5cf3446a in main_loop_run(_GMainLoop*) (pLoop=0xa3aae70) at vcl/inc/unx/gtk/gtkdata.hxx:60
#46 0x00007f8a5ceab64e in (anonymous namespace)::DialogRunner::run() (this=0xa3512f8) at vcl/unx/gtk3/gtkinst.cxx:6563
#47 0x00007f8a5cea67ac in (anonymous namespace)::GtkInstanceDialog::run() (this=0xa3511a0) at vcl/unx/gtk3/gtkinst.cxx:9632
#48 0x00007f8a6d7c7a3e in weld::DialogController::run() (this=0xa0e9990) at include/vcl/weld.hxx:2533
#49 0x00007f8a6db0ffa2 in SfxTabDialogController::run() (this=0xa0e9990) at sfx2/source/dialog/tabdlg.cxx:1028
#50 0x00007f8a6af4643e in svt::OGenericUnoDialog::execute() (this=0x7f99a90) at svtools/source/uno/genericunodialog.cxx:206
#51 0x00007f8a6dc97242 in ModelData_Impl::ExecuteFilterDialog_Impl(rtl::OUString const&) (this=0x7ffe4a14dda8, aFilterName="writer_pdf_Export") at sfx2/source/doc/guisaveas.cxx:575
--Type <RET> for more, q to quit, c to continue without paging--
#52 0x00007f8a6dca202d in SfxStoringHelper::GUIStoreModel(com::sun::star::uno::Reference<com::sun::star::frame::XModel> const&, std::basic_string_view<char16_t, std::char_traits<char16_t> >, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&, bool, SignatureState) (this=0x7ffe4a14ef68, xModel=
    uno::Reference to (SwXTextDocument *) 0x74f0860, aSlotName=u"ExportToPDF", aArgsSequence=uno::Sequence of length 2 = {...}, bPreselectPassword=false, nDocumentSignatureState=SignatureState::NOSIGNATURES)
    at sfx2/source/doc/guisaveas.cxx:1471
#53 0x00007f8a6dcd33cc in SfxObjectShell::ExecFile_Impl(SfxRequest&) (this=0x74ef0e0, rReq=...) at sfx2/source/doc/objserv.cxx:970
Comment 4 Julien Nabet 2022-05-14 11:29:35 UTC
https://gerrit.libreoffice.org/c/core/+/134311
Comment 5 Commit Notification 2022-05-14 17:49:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d3a9d4ffec4bf9765f965d92c163c94201a3c9a

tdf#149072: fix export PDF with PDF/UA in GUI after Index language was set

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-05-14 17:50:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86050db1b0c15651335d1b0bf89ee8f6409dee1d

Related tdf#149072: avoid warning "misuse of method"

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2022-05-19 13:06:27 UTC
Thanks Julien.